# TODO
# - use system fonts package for dejavu fonts
# - use system jquery package
%define		plugin	superlinks
%define		php_min_version 5.1.1
%include	/usr/lib/rpm/macros.php
Summary:	Adds Tabs, Menu Items and allows several other UI customisations
Summary(pl.UTF-8):	Wtyczka do Cacti - SuperLinks (dodatkowe odnośniki)
Name:		cacti-plugin-%{plugin}
Version:	1.4
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:superlinks-v%{version}-2.tgz
# Source0-md5:	deefccc64a14195a4ebba7f0a16d3262
URL:		http://docs.cacti.net/plugin:superlinks
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	cacti
Requires:	cacti(pia) >= 2.9
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(gd)
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	php(session)
Obsoletes:	cacti-plugin-links
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
Cacti plugin that allows the Cacti UI to be extended in ways that make
it easy for non plugin developers to use.

Features:
- It supports ANY number of extra tabs
- It will dynamically create the Tab graphics as pages are created
- It has the same user-based access-control as Weathermap
- It allows you to add new links to the Console menu as well as tabs
  and also blocks of content to the 'Welcome' front page.
- Allows you to directly embed another website/application without
  writing any HTML
- Allows you to modify the look of the login screen, to add your
  company's branding.
- It's also handy if you are a plugin developer, and need some tab
  graphics!

%description -l pl.UTF-8
To jest bardzo prosta wtyczka dla architektury wtyczek Cacti
stworzonej przez Jimmy'ego Smitha dla Cacti 0.8.x (0.9.0 ma mieć nowy
system wtyczek). Pozwala podpiąć dowolną liczbę stron HTML dowolnej
treści pod zakładki na górnej części strony lub jako dodatkowe wpisy w
menu Console. Wtyczki tej można używać do integracji innych narzędzi w
Cacti - w ten sposób można mieć w Cacti odnośniki do Smokepinga,
Request Trackera czy Nagiosa.

Wtyczka ma zastąpić wtyczkę Links tego samego autora, napisaną
wcześniej; ma następujące rozszerzenia:
- dowolną liczbę elementów zakładek/menu
- dla zakładek generowany jest obrazek w stylu Cacti, więc dodatkowe
  strony lepiej integrują się z Cacti
- wykorzystuje kod kontroli dostępu z Weathermap, więc zakładki mogą
  być widoczne tylko dla wybranych użytkowników
- oprócz zakładek jest możliwość tworzenia elementów menu Console oraz
  strony powitalnej
- można osadzać zewnętrzne strony bezpośrednio, bez pisania
  jakiegokolwiek HTML-a.

%prep
%setup -qc
%undos -f php,inc

mv %{plugin}/{README,COPYING} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-plugin-superlinks.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 394b0f9
- use virtual php deps
- release 2 (by relup.sh)

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 7b470a9
- up to 1.4-2

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c033300
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> a9a57ee
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 1471ede
- obsoletes "links" plugin. ref: http://forums.cacti.net/viewtopic.php?t=14985

* Thu Oct 27 2011 Elan Ruusamäe <glen@pld-linux.org> abf2c35
- up to 1.3, update deps, enhance desc

* Sun May 16 2010 sparky <sparky@pld-linux.org> c324dd6
- BR: unzip

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> c408061
- simplify macros and cleanups

* Fri Sep 19 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 6c8fb2c
- up by Pawel Dlugosz

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 8ac3adb
- informative pl summary

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 6021b8e
- pl

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 9e9286c
- cleanups

* Wed Dec 26 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 3b8f051
- init

